Device class in C++ should use the d-pointer pattern
Closed, ResolvedPublic

For consistency!

Also, this would enable people to distribute plugins as separate packages, and those would work across kdeconnect versions because we will have less ABI changes... even though nobody is actually making plugins as separate packages as of now.

nicolasfella moved this task from Fixes to Junior Jobs on the KDE Connect board.May 10 2018, 4:41 PM
cjlcarvalho added a subscriber: cjlcarvalho.EditedMay 14 2018, 5:20 AM

Is anybody working on this?

Nope, do you want to pick it?

nicolasfella closed this task as Resolved.May 16 2018, 10:28 AM